Subject: RE: [Enum] ENUM individual draft on root domain.

From: "Hollenbeck, Scott" <[email-masked]>
Date: Fri, 22 Feb 2002 14:13:23 -0500

> -----Original Message-----
> From: Patrik Fältström [mailto:[email-masked]]
> Sent: Friday, February 22, 2002 1:45 PM
> To: Hollenbeck, Scott; [email-masked]
> Subject: RE: [Enum] ENUM individual draft on root domain. 
> 
> 
> --On 2002-02-22 12.09 -0500 "Hollenbeck, Scott" 
> <[email-masked]>
> wrote:
> 
> > I've had an off-list conversation with both 2916bis editors (Patrik and
> > Michael) asking a similar question: would it be possible to make 2916bis
> > completely policy/implementation neutral (basically removing mention of
a
> > specific rooting point in the DNS hierarchy), and perhaps writing a
second
> > e164.arpa implementation profile document?
> 
> ...and the outcome of that discussion is that the document will not be
> split.
> 
> This is also checked with our Area Directors.

OK, then this will be EOT for me.

A different suggestion given the above: please be very clear in 2916bis that
the document describes a system, and not just a protocol specification.
Given the first sentence in the "Status of this Memo" boilerplate from the
current 2916 [1], I think it would be wise to explicitly note that there is
more than an implementation-neutral protocol described in the document.
Perhaps a sentence like this at the beginning of the first paragraph in the
introduction:

"This document includes a protocol specification and specific implementation
requirements that define the ENUM system."

-Scott-

[1]
"This document specifies an Internet standards track protocol..."

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: Patrik Fältström <[email-masked]>
Date: Fri, 22 Feb 2002 20:36:58 +0100

--On 2002-02-22 14.13 -0500 "Hollenbeck, Scott" <[email-masked]>
wrote:

> current 2916 [1]

Please read the I-D for 2916bis, and come with suggestions on changes to
that document if you want some changed made.

   paf

---

From: Patrik Fältström <[email-masked]>
Date: Sat, 23 Feb 2002 08:40:03 +0100

--On 2002-02-22 14.13 -0500 "Hollenbeck, Scott" <[email-masked]>
wrote:

> A different suggestion given the above: please be very clear in 2916bis
> that the document describes a system, and not just a protocol
> specification. Given the first sentence in the "Status of this Memo"
> boilerplate from the current 2916 [1], I think it would be wise to
> explicitly note that there is more than an implementation-neutral
> protocol described in the document. Perhaps a sentence like this at the
> beginning of the first paragraph in the introduction:
> 
> "This document includes a protocol specification and specific
> implementation requirements that define the ENUM system."

Michael privately to me suggested the following change based on input from
you, and I liked the change. This was sent from him to me in the very last
second before the draft had to be submitted before the cutoff. I don't
think the change made it, but in that case we will change text in 1.2 after
the IETF meeting.

Please think about what (kind) of change make you happy. The one below is a
suggestion from Michael.

> Section 1.2 currently reads:
> 
> This document specifies how "ENUM" works, that is how to handle numbers
> allocated according to the ITU-T standard E.164. But, a similar mechanism
> can be used also for other numbers, such as private dialing plans.
> Suggested change is that (a) a different domain, well-known for all
> parties using the same dialing plan, is selected and (b) the application
> unique string (see section 3.1 below) is to be the full number
> as specified but without the leading '+'.
> 
> How 'bout this:
> 
> This document specifies the "ENUM System", that is, procedures and
> infrastructure that provide a service that can convert numbers allocated 
> according to the ITU-T standard E.164 into Uniform Resource Identifiers.
> But,  the mechanisms described here can be used for other numbers or
> purposes  such as private dialing plans, enterprise level private
> services, etc. If  this is being done then the two suggested methods of
> differentiating the  private space are a) a different domain, well-known
> for all parties using  the same private system and b) the Application
> Unique String is used, minus  the leading "+". These two options are all
> that's necessary to differentiate  the ENUM system from private
> implementations of the same techniques.

   paf